<?php

namespace App\Services\DomicilioNews;

use DB;
use App\Domicilio;
use App\DomicilioNews;
use App\Traits\ApiResponser;
use App\Services\Domicilio\DomicilioServices;

/**
 *
 */
class DomicilioNewServices
{
    use ApiResponser;

    protected $domicilioServices;

    function __construct()
    {
        $this->domicilioServices = new DomicilioServices();
    }

    /**
     * Create domicilio collection
     * @param array $params
     */
    public function createDomicilioNews(array $params)
    {
        try {
            // create news
            $domicilioCollection = DomicilioNews::create($params);
            if (isset($params['file'])) {
                $this->domicilioServices->uploadEvidence(
                    $params['file'],
                    $params['domicilio_id'],
                    'Novedad'
                );
            }
            $domicilio = Domicilio::findOrFail($params['domicilio_id']);
            $domicilio->update(['status' => 'Novedad']);
            $this->domicilioServices->setStatuses(
                array($params['domicilio_id']),
                'Novedad',
                $domicilioCollection->type ? $domicilioCollection->type : '',
            );
            return $domicilioCollection;
        } catch (\Exception $e) {
            return $this->handlerException($e->getMessage());
        }
    }

    public function getDomicilioNewById($domicilioId)
    {
        try {
            return DomicilioNews::where("domicilio_id", $domicilioId)->first();
        } catch (\Exception $e) {
            return $this->handlerException($e->getMessage());
        }
    }
}
